import { createPinia } from "pinia";
import piniaPluginPersistedstate from "pinia-plugin-persistedstate";

import useMarkStore from "../features/mark/stores/mark";
import useAppStore from "./app";
import useCheckObjectiveStore from "../features/check-objective/store";

const pinia = createPinia();
pinia.use(piniaPluginPersistedstate);

export { useMarkStore, useAppStore, useCheckObjectiveStore };
export default pinia;
